class UsersController < ApplicationController
  before_action :find_user, only: [:edit, :update, :show]

  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      session[:user] = @user.id
      flash[:notice] = 'Successful registration'
      redirect_to questionnaires_path
    else
      flash[:notice] = "Error while registering"
      redirect_to action: :new
    end
  end

  def edit
  end

  def update
    if @user.update(user_params)
      flash[:notice] = "Update successful"
    else
      flash[:notice] = "Could not update user data"
    end
    redirect_to :back
  end

  def show
  end

  def forgotten
  end

  def send_forgotten
  end

  private
    def find_user
      @user = User.find params[:id]
    end

    def user_params
      params.require(:user).permit(:username, :email, :password, :password_confirmation)
    end
end
